Create an Alert Comment

POST Alert Comments

POST /alerts/{alertId}/comments endpoint is used to create a comment for an alert. To attach files in the comment upload the file first using the POST /pre-signed-url endpoint and then use the returned key to attach the file in the comment with the filename and size.`

Authentication

x-api-keystring
API Key authentication via header

Path parameters

alertIdstringRequired
Unique Alert Identifier

Request

bodystringRequired
idstringOptional
typeenumOptional
Allowed values:
parentIdstringOptional
fileslist of objectsOptional

Response

Created
commentIdstring
Unique comment ID
bodystring
Comment body
fileslist of objects or null
createdTimestampdouble or null
Timestamp when comment is created
updatedTimestampdouble or null
Timestamp when comment is updated